# Generated from atetracks-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name atetracks

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: ateTracks Core
License: MIT
URL: http://atetracks.info
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda) >= 3.5.0
# BuildRequires: rubygem(shoulda) >= 3.5.0
# BuildRequires: rubygem(shoulda) < 3.6
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(simplecov) >= 0.9.1
# BuildRequires: rubygem(simplecov) >= 0.9.1
# BuildRequires: rubygem(simplecov) < 0.10
BuildArch: noarch

%description
ateTracks Core library for use by ateTracks.info as a generic 8tracks.com API
extension.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/atetracks.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.0-1
- Initial package
